centos7系统下rpm打包依赖问题

本人有一工程,内部包含一个自己编译好的so库,在centos6上编译工程打rpm包安装都正常,但是把工程放到centos7上,编译打成rpm包成功,安装时却一直提示failed dependencies,就是检查自带的这个库失败,哪位大神知道是什么原因?

qq_33672393
qq_33672393 解决了吗这个问题
一年多之前 回复

2个回答

rpm -q --requires 'your-package.rpm'
查看一下你编译的rpm依赖库,再通过 yum安装 dependencies

首先谢谢!
现在依赖的就是我自己编译好的so,我是想把so放到rpm内部,安装的时候不提前把这个so安装,这样在centos6上是可以的,但是centos7上有问题

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
centos6.5 rpm 安装keepalived 依赖包问题

[root@mysql_201 keepalived-1.2.18]# ln -s /usr/src/kernels/2.6.32-358.el6.x86_64/usr/src//linux [root@mysql_201 keepalived-1.2.18]# ./configure checking sys/time.h usability... yes checking sys/time.h presence... yes checking for sys/time.h... yes checking openssl/ssl.h usability... no checking openssl/ssl.h presence... no checking for openssl/ssl.h... no configure: error: !!! OpenSSL is not properly installed on your system. !!! !!! Can not include OpenSSL headers files. !!! 系统提示没有安装OpenSSL, 我搜索到这个软件,安装的时候提示依赖其他三个软件包,我有下载了三个依赖包,安装其中一个又依赖其他四个包,我要疯了。 求大神解决如何安装keepalived,我们的服务器没有外网,不能够使用yum 安装。

centos 6.5系统下使用rpmbuild打包包含共享库的软件

目的:项目组的一个跨平台软件,现在需要生成xxxx.rpm软件包,以便可以直接使用系统自带的命令安装(rpm和yum等),及后期加补丁和升级。 进展: **1.** 本人使用的是rpm打包工具,其中的spec文件内容如下: Name: ads Version: 1.0.0 Release: 1 Summary: GNU hello test for rpm building Group: Development/Tools License: GPL URL: svn:******** Source0: %{name}-%{version}.tar.gz %description A simple soft %prep %setup -q %build ./configure make %install install -d $RPM_BUILD_ROOT/usr/local/bin make install DESTDIR=$RPM_BUILD_ROOT %clean rm -rf $RPM_BUILD_ROOT %files %defattr(-,root,root) /usr/local/bin/ **2.** 可以生成基本的rpm文件,在忽略依赖的情况下可以强制安装。 问题:如何编写spec文件将软件依赖的共享库也安装到指定目录下,且在使用rpm安装时不用加--nodeps --forcd选项. 希望各位兄弟可以给小弟指点一下,感激不尽。

rpm包依赖自己内部的动态库

centos7环境,自己先编译了一个动态库,之后编译工程的时候链接该动态库,编译成功后,把可执行文件和动态库打包成rpm包,安装的时候一直报错,提示依赖该动态库。同样的步骤,在centos6上就安装正常。哪位大神知道原因?

centos6 yum本地rpm包的python依赖问题

# 使用yum localinstall 安装公司的本地rpm包命令运行报错 ``` error:Package: my-package.el7.x86_64 (/my-package.el7.x86_64) Requires: Python >= 2.7.13 ``` 1.自己安装了2.7.13版本的python 并设置成了默认。(此时yum的解释器依然是python2.6不然会报错) ``` Python 2.7.13 (default, Mar 22 2020, 22:04:54) [GCC 4.4.7 20120313 (Red Hat 4.4.7-23)] on linux2 Type "help", "copyright", "credits" or "license" for more information. >>> ``` 从新执行yum localinstall 后依然报错原有错误。 2.在网上下载了python2.7.13的rpm包 ``` python27-python-2.7.13-3.el7.x86_64.rpm ``` 在yum时同时安装两个包但依然报原有错

CentOS 下执行安装rpm的问题

在CentOS系统下,用tommy账号,执行安装rpm文件时,提示:error:can't create transaction lock on /var/lib/rpm/.rpm.lock(permission denied), 我已经把这个账号改在了root组了,已经修改文件修改/etc/sudoers 中内容: %wheel ALL=(ALL) ALL #usermod -g root tommy

CentOS使用yum update出现安装包依赖问题

运行命令后出现下面这样的情况 ![图片说明](https://img-ask.csdn.net/upload/201910/30/1572430606_672876.png) ![图片说明](https://img-ask.csdn.net/upload/201910/30/1572430662_268011.png) ![图片说明](https://img-ask.csdn.net/upload/201910/30/1572430682_748590.png) 百度好多,yum clean all,然后yum makecache,然并卵。 大部分都这样写,要不就是更新yum.repos.d的源,也没用。我甚至自己用虚拟机创建了一个CentOS6.9,然后把里面的yum.repos.d文件打包放到这个服务器上,仍然没有用。 请教一下怎么解决??? (不能重装!!!!!!!!!!!!!!!!!)

centos7安装mysql workbench 依赖检测失败

[root@localhost tmp]# rpm -ivh mysql-workbench-gpl-5.2.47-1el6.i686.rpm 错误:依赖检测失败: libGL.so.1 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libX11.so.6 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libatk-1.0.so.0 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libatkmm-1.6.so.1 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libc.so.6 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libc.so.6(GLIBC_2.0) 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libc.so.6(GLIBC_2.1) 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libc.so.6(GLIBC_2.1.3) 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libc.so.6(GLIBC_2.2) 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libc.so.6(GLIBC_2.3) 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libc.so.6(GLIBC_2.3.4) 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libc.so.6(GLIBC_2.4) 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libcairo.so.2 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libcairomm-1.0.so.1 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libcrypt.so.1 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libcrypto.so.10 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libdl.so.2 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libdl.so.2(GLIBC_2.0) 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libdl.so.2(GLIBC_2.1) 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libfontconfig.so.1 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libfreetype.so.6 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libgcc_s.so.1 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libgcc_s.so.1(GCC_3.0) 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libgcc_s.so.1(GLIBC_2.0) 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libgdk-x11-2.0.so.0 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libgdk_pixbuf-2.0.so.0 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libgdkmm-2.4.so.1 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libgio-2.0.so.0 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libgiomm-2.4.so.1 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libglib-2.0.so.0 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libglibmm-2.4.so.1 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libgmodule-2.0.so.0 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libgnome-keyring.so.0 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libgobject-2.0.so.0 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libgthread-2.0.so.0 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libgtk-x11-2.0.so.0 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libgtkmm-2.4.so.1 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 liblua-5.1.so 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libm.so.6 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libm.so.6(GLIBC_2.0) 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libm.so.6(GLIBC_2.1) 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libmysqlclient_r.so.16 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libmysqlclient_r.so.16(libmysqlclient_16) 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libnsl.so.1 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libpango-1.0.so.0 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libpangocairo-1.0.so.0 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libpangoft2-1.0.so.0 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libpangomm-1.4.so.1 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libpcre.so.0 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libpthread.so.0 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libpthread.so.0(GLIBC_2.0) 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libpython2.6.so.1.0 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 librt.so.1 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libsigc-2.0.so.0 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libsqlite3.so.0 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libssl.so.10 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libstdc++.so.6 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libstdc++.so.6(CXXABI_1.3) 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libstdc++.so.6(CXXABI_1.3.1) 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libstdc++.so.6(GLIBCXX_3.4) 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libstdc++.so.6(GLIBCXX_3.4.10) 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libstdc++.so.6(GLIBCXX_3.4.11) 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libstdc++.so.6(GLIBCXX_3.4.9) 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libuuid.so.1 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libuuid.so.1(UUID_1.0) 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libxml2.so.2 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libxml2.so.2(LIBXML2_2.4.30) 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libxml2.so.2(LIBXML2_2.6.0) 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libz.so.1 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 libzip.so.1 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 pexpect 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 python-paramiko 被 mysql-workbench-gpl-5.2.47-1el6.i686 需要 请问这个怎麼解决阿。

CentOS7最小版本安装MySQL找不到Perl的依赖包 (但是我已经安装了ActivePerl-5.20)

各位好,请教有谁熟悉centos下安装mysql的,遇到一个问题一直无法解决: centos7最小安装版本下rpm方式安装mysql,但是一直报缺少perl依赖,但是已经安装了。 1、安装了ActivePerl-5.20在/opt/ActivePerl-5.20目录下 2、已经配置path(/etc/profile) 3、已经用in命令将perl从/opt/ActivePerl-5.20/bin/perl链接到/usr/bin目录 4、在命令行下,任意目录执行perl -version,正常获取到perl的版本 但是安装mysql,还是缺少/usr/bin/perl?请问怎么解决,以下截图是相关截图,请问谁知道怎么解决,谢谢

CentOS系统重启卡住的问题

云平台环境,云主机使用的是CentOS官方提供的云镜像CentOS-7-64GenericCloud.qcow2 云主机使用正常。但是重启是话卡在下面这个界面很久。使用别的镜像就没有这个问题。所以可以排除是平台的问,应该是镜像的问题,希望大神指点指点,可以通过CentOS系统自身配置来解决这个问题。 ![图片说明](https://img-ask.csdn.net/upload/201807/20/1532076714_368450.png)

双系统安装centOS7不会进入的问题

我之前安装的ubuntu15,因为总是会出现卡在图形登陆界面(就是一只小脚的那里)的问题,就重新安装了centOS,因为之前已经分好了盘,于是直接覆盖上ubuntu的盘,可是我安装好了后,提示重启进入,为什么我进的还是ubuntu的文字界面……… (我完全新手,刚开始学) (我猜测是grub引导的设置问题,昨天我安装的centOS6,中间有设置grub的步骤,但是最后总是出现问题,最后放弃6.5版本,但是今天7的版本…没有找到设置grub的选项) (这两天因为想装个linux学习已经快把自己逼疯了……) 谢谢大家。

CentOS7安装了libstdc++还是装不了rpm,依然提示缺少libstdc++依赖,什么鬼?

我按照这里面的方式安装搜狗输入法: https://blog.csdn.net/qq_26870933/article/details/86620721 却卡在了最后一步,提示缺少 libstdc++.so.6 依赖。 好,我装,直接 yum install libstdc++,并且成功安装上。 可是再装这个 rpm 包还是提示缺少 libstdc++.so.6 依赖,什么鬼? 不知道怎么解决了,只能来这里寻求各位大神了。

centos7安装rabbitmq依赖问题,求解。

--> 正在处理依赖关系 libwx_gtk2u_aui-2.8.so.0(WXU_2.8)(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_adv-2.8.so.0(WXU_2.8)(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_stc-2.8.so.0(WXU_2.8)(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_xrc-2.8.so.0(WXU_2.8)(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_html-2.8.so.0(WXU_2.8)(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_aui-2.8.so.0(WXU_2.8.5)(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_baseu-2.8.so.0(WXU_2.8)(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_gl-2.8.so.0(WXU_2.8)(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_core-2.8.so.0(WXU_2.8.10)(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_core-2.8.so.0(WXU_2.8)(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_xrc-2.8.so.0()(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_html-2.8.so.0()(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_adv-2.8.so.0()(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_baseu_xml-2.8.so.0()(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_gl-2.8.so.0()(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_baseu-2.8.so.0()(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_stc-2.8.so.0()(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_aui-2.8.so.0()(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_core-2.8.so.0()(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 ---> 软件包 erlang-xmerl.x86_64.0.20.0rc1-3.el7.centos 将被 安装 --> 正在检查事务 ---> 软件包 erlang-wx.x86_64.0.20.0rc1-3.el7.centos 将被 安装 --> 正在处理依赖关系 libwx_gtk2u_aui-2.8.so.0(WXU_2.8)(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_adv-2.8.so.0(WXU_2.8)(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_stc-2.8.so.0(WXU_2.8)(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_xrc-2.8.so.0(WXU_2.8)(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_html-2.8.so.0(WXU_2.8)(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_aui-2.8.so.0(WXU_2.8.5)(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_baseu-2.8.so.0(WXU_2.8)(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_gl-2.8.so.0(WXU_2.8)(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_core-2.8.so.0(WXU_2.8.10)(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_core-2.8.so.0(WXU_2.8)(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_xrc-2.8.so.0()(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_html-2.8.so.0()(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_adv-2.8.so.0()(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_baseu_xml-2.8.so.0()(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_gl-2.8.so.0()(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_baseu-2.8.so.0()(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_stc-2.8.so.0()(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_aui-2.8.so.0()(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 --> 正在处理依赖关系 libwx_gtk2u_core-2.8.so.0()(64bit),它被软件包 erlang-wx-20.0rc1-3.el7.centos.x86_64 需要 ---> 软件包 unixODBC.x86_64.0.2.3.1-11.el7 将被 安装 --> 解决依赖关系完成 错误:软件包:erlang-wx-20.0rc1-3.el7.centos.x86_64 (erlang-solutions) 需要:libwx_gtk2u_gl-2.8.so.0()(64bit) 错误:软件包:erlang-wx-20.0rc1-3.el7.centos.x86_64 (erlang-solutions) 需要:libwx_gtk2u_core-2.8.so.0(WXU_2.8.10)(64bit) 错误:软件包:erlang-wx-20.0rc1-3.el7.centos.x86_64 (erlang-solutions) 需要:libwx_gtk2u_adv-2.8.so.0()(64bit) 错误:软件包:erlang-wx-20.0rc1-3.el7.centos.x86_64 (erlang-solutions) 需要:libwx_gtk2u_stc-2.8.so.0(WXU_2.8)(64bit) 错误:软件包:erlang-wx-20.0rc1-3.el7.centos.x86_64 (erlang-solutions) 需要:libwx_gtk2u_adv-2.8.so.0(WXU_2.8)(64bit) 错误:软件包:erlang-wx-20.0rc1-3.el7.centos.x86_64 (erlang-solutions) 需要:libwx_baseu_xml-2.8.so.0()(64bit) 错误:软件包:erlang-wx-20.0rc1-3.el7.centos.x86_64 (erlang-solutions) 需要:libwx_gtk2u_html-2.8.so.0()(64bit) 错误:软件包:erlang-wx-20.0rc1-3.el7.centos.x86_64 (erlang-solutions) 需要:libwx_gtk2u_core-2.8.so.0()(64bit) 错误:软件包:erlang-wx-20.0rc1-3.el7.centos.x86_64 (erlang-solutions) 需要:libwx_gtk2u_xrc-2.8.so.0(WXU_2.8)(64bit) 错误:软件包:erlang-wx-20.0rc1-3.el7.centos.x86_64 (erlang-solutions) 需要:libwx_gtk2u_core-2.8.so.0(WXU_2.8)(64bit) 错误:软件包:erlang-wx-20.0rc1-3.el7.centos.x86_64 (erlang-solutions) 需要:libwx_gtk2u_aui-2.8.so.0(WXU_2.8.5)(64bit) 错误:软件包:erlang-wx-20.0rc1-3.el7.centos.x86_64 (erlang-solutions) 需要:libwx_gtk2u_aui-2.8.so.0()(64bit) 错误:软件包:erlang-wx-20.0rc1-3.el7.centos.x86_64 (erlang-solutions) 需要:libwx_gtk2u_xrc-2.8.so.0()(64bit) 错误:软件包:erlang-wx-20.0rc1-3.el7.centos.x86_64 (erlang-solutions) 需要:libwx_baseu-2.8.so.0(WXU_2.8)(64bit) 错误:软件包:erlang-wx-20.0rc1-3.el7.centos.x86_64 (erlang-solutions) 需要:libwx_gtk2u_aui-2.8.so.0(WXU_2.8)(64bit) 错误:软件包:erlang-wx-20.0rc1-3.el7.centos.x86_64 (erlang-solutions) 需要:libwx_gtk2u_stc-2.8.so.0()(64bit) 错误:软件包:erlang-wx-20.0rc1-3.el7.centos.x86_64 (erlang-solutions) 需要:libwx_baseu-2.8.so.0()(64bit) 错误:软件包:erlang-wx-20.0rc1-3.el7.centos.x86_64 (erlang-solutions) 需要:libwx_gtk2u_gl-2.8.so.0(WXU_2.8)(64bit) 错误:软件包:erlang-wx-20.0rc1-3.el7.centos.x86_64 (erlang-solutions) 需要:libwx_gtk2u_html-2.8.so.0(WXU_2.8)(64bit) 您可以尝试添加 --skip-broken 选项来解决该问题 ** 发现 8 个已存在的 RPM 数据库问题, 'yum check' 输出如下: icedtea-web-1.6.2-4.el7.x86_64 有缺少的需求 java-1.8.0-openjdk ipa-client-4.4.0-12.el7.centos.x86_64 有已安装冲突 freeipa-client: ipa-client-4.4.0-12.el7.centos.x86_64 ipa-client-common-4.4.0-12.el7.centos.noarch 有已安装冲突 freeipa-client-common: ipa-client-common-4.4.0-12.el7.centos.noarch ipa-common-4.4.0-12.el7.centos.noarch 有已安装冲突 freeipa-common: ipa-common-4.4.0-12.el7.centos.noarch javapackages-tools-3.4.1-11.el7.noarch 有缺少的需求 python-javapackages = ('0', '3.4.1', '11.el7') jline-1.0-8.el7.noarch 有缺少的需求 java >= ('0', '1.5', None) 1:libreoffice-core-5.0.6.2-3.el7.x86_64 有缺少的需求 java-headless >= ('1', '1.6', None) 1:libreoffice-ure-5.0.6.2-3.el7.x86_64 有缺少的需求 libjvm.so()(64bit)

Centos yum 找不到rpm包怎么办

运行如下代码 [root@sun aa]# rpm -ivh http://zhidao.baidu.com/question/437617509101594964.html?gossl=http%3A%2F%2Fdownload.fedora.redhat.com%2Fpub%2Fepel%2F5%2Fi386%2Fepel-release-5-4.noarch.rpm&_=8E14AFB52872569FF984757C98E6E8BC%3AFG%3D1 下面是报错 Retrieving http://zhidao.baidu.com/question/437617509101594964.html?gossl=http%3A%2F%2Fdownload.fedora.redhat.com%2Fpub%2Fepel%2F5%2Fi386%2Fepel-release-5-4.noarch.rpm&_=8E14AFB52872569FF984757C98E6E8BC%3AFG%3D1 curl: (6) Couldn't resolve host 'download.fedora.redhat.com' error: skipping http://zhidao.baidu.com/question/437617509101594964.html?gossl=http%3A%2F%2Fdownload.fedora.redhat.com%2Fpub%2Fepel%2F5%2Fi386%2Fepel-release-5-4.noarch.rpm&_=8E14AFB52872569FF984757C98E6E8BC%3AFG%3D1 - transfer failed 收起

WIN 7上安装了centos 6.4后,原来的win 7启动不了,centos 系统现在可以用

各位大虾好, 我笔记本是的thinkpad sl410的,在上面安装了window 7系统,然后又安装了centos 6.4,是用自己刻录的光盘,用自己笔记本的光驱安装的, 现在打开笔记本默认是启动window 7,按任意鍵有二个开机引导选项,一个是windows 7,另一个是centos 6.4,,选择centos 6.4可以正常启动,但是windows 7启动不了了. 现在我想重装window 7系统,即使我插入windows 7系统盘到光驱,调整BIOS为从光驱启动, 但是启动笔记本后,无法从光驱的系统盘上启动,还是默认启动原来的window 7,按任意鍵有二个开机引导选项。 求助各位大虾, 1.如何重装window 7系统? 2.如何使windows 7 与centos 双系统安装后都能正常运行,安装过程中要注意什么? 谢谢

centos7更新系统后开机启动变慢,怎么办?

我用的Centos7的系统,自从有次不小心点了更新系统后,发现开机慢了好多,要几十秒 钟才出现登陆界面,有同学遇到相同的问题吗?

centos安装完docker找rpm包

![图片说明](https://img-ask.csdn.net/upload/201704/07/1491556162_407658.png) 如图:想找一下安装的时候下载的包。找不到在哪。。

centos7下cpu温度高,系统启动或关机或重启时可能报错。

问题很简单,我的笔记本装了centos7和win10双系统,用wen10时好好的,除非游戏玩久了,不然温度一般是60度左右, 但是我使用centos7只是使用基础命令和进浏览器(学习linux中),电脑就会明显感到温度高,用 sensors看温度平均有将近80度,平均高了十来度的温度。我想知道是不是系统哪里的问题,我系统安装后有点小问题,在重启或关机或启动时可能发生错误,就是屏幕一直输出。不带停的,我只有长按电源强制关机才行。这个错误大部分时候也不会发生。大致是一直输出这些: PCIe bus error :severity=corrected, type=Physical Layer,id=00e8(Recelver ID) receiver Error First device [8086:a118]error status/mask=00000001/00002000 可能刷新的太快还有些信息没看到,就是这几行信息一直输出。 求解决方案。。。。。

Windows10更换为Centos 7

我想把Windows系统更换为CentOS 7,按提示安装好之后,最后一步要求重启,当我重启电脑后,依然进入了Windows界面 我在安装CentOS的过程中,并没有提示要格式化磁盘的操作,请问需要我自己提前格式化磁盘来删除Windows系统吗

centos7上用rpmbuild建立rpm安装包问题(急)

centos7.1 php-5.6.25 $ ls rpmbuild/ BUILD BUILDROOT RPMS SOURCES SPECS SRPMS $cat rpmbuild/SPECS/php.spec Name: php Version: 5.6.25 Release: 1%{?dist} Summary: compiled from 5.6.25 by Kevin Group: System Environment/Daemons License: GPL URL: https://secure.php.net Source0: php-5.6.25.tar.gz BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX) BuildRequires: gcc, gcc-c++, openssl-devel Requires: wireshark-gnome %description php server. Compiled from 5.6.25 by Kevin %prep %setup -q %build ./configure '--with-libdir=lib64' '--prefix=/usr/local/php5.6' '--with-fpm-systemd' '--enable-fpm' '--enable-mbstring' '--with-mysql' '--with-mysqli' '--with-pdo-mysql' '--with-gd' '--enable-gd-native-ttf' '--with-freetype-dir' '--with-curl' '--with-openssl' '--with-mcrypt' '--enable-zip' '--enable-intl' make %{?_smp_mflags} %install rm -rf %{buildroot} make install DESTDIR=%{buildroot} %clean rm -rf %{buildroot} %files %defattr(-,root,root,-) %defattr(-,root,root,-) /usr/local/php5.6/bin/* /usr/local/php5.6/sbin/* /usr/local/php5.6/include/* /usr/local/php5.6/php/php/fpm/* /usr/local/php5.6/php/man/man1/* /usr/local/php5.6/php/man/man8/* /usr/local/php5.6/lib/php/* /usr/local/php5.6/lib/php/extensions/* /usr/local/php5.6/lib/php/extensions/no-debug-non-zts-20131226/* /usr/local/php5.6/lib/php/build/* /usr/local/php5.6/lib/php/build/shtool/* /usr/local/php5.6/lib/php/.registry/* /usr/local/php5.6/lib/php/.channels/* /usr/local/php5.6/lib/php/Archive/* /usr/local/php5.6/lib/php/doc/* /usr/local/php5.6/lib/php/doc/Archive_Tar/* /usr/local/php5.6/lib/php/doc/Archive_Tar/docs/* /usr/local/php5.6/lib/php/doc/Structures_Graph/* /usr/local/php5.6/lib/php/doc/Structures_Graph/docs/* /usr/local/php5.6/lib/php/doc/Structures_Graph/docs/tutorials/* /usr/local/php5.6/lib/php/doc/Structures_Graph/docs/tutorials/Structures_Graph/* /usr/local/php5.6/lib/php/doc/Structures_Graph/LICENSE/* /usr/local/php5.6/lib/php/doc/XML_Util/* /usr/local/php5.6/lib/php/doc/XML_Util/examples/* /usr/local/php5.6/lib/php/doc/PEAR/* /usr/local/php5.6/lib/php/doc/PEAR/LICENSE/* /usr/local/php5.6/lib/php/doc/PEAR/INSTALL/* /usr/local/php5.6/lib/php/Console/* /usr/local/php5.6/lib/php/test/* /usr/local/php5.6/lib/php/test/Console_Getopt/* /usr/local/php5.6/lib/php/test/Console_Getopt/tests/* /usr/local/php5.6/lib/php/test/Structures_Graph/* /usr/local/php5.6/lib/php/test/Structures_Graph/tests/* /usr/local/php5.6/lib/php/test/XML_Util/* /usr/local/php5.6/lib/php/test/XML_Util/tests/* /usr/local/php5.6/lib/php/Structures/* /usr/local/php5.6/lib/php/Structures/Graph/* /usr/local/php5.6/lib/php/Structures/Graph/Manipulator/* /usr/local/php5.6/lib/php/XML/* /usr/local/php5.6/lib/php/OS/* /usr/local/php5.6/lib/php/PEAR/* /usr/local/php5.6/lib/php/PEAR/ChannelFile/* /usr/local/php5.6/lib/php/PEAR/Command/* /usr/local/php5.6/lib/php/PEAR/Downloader/* /usr/local/php5.6/lib/php/PEAR/Frontend/* /usr/local/php5.6/lib/php/PEAR/Installer/* /usr/local/php5.6/lib/php/PEAR/Installer/Role/* /usr/local/php5.6/lib/php/PEAR/PackageFile/* /usr/local/php5.6/lib/php/PEAR/PackageFile/Generator/* /usr/local/php5.6/lib/php/PEAR/PackageFile/Parser/* /usr/local/php5.6/lib/php/PEAR/PackageFile/v2/* /usr/local/php5.6/lib/php/PEAR/REST/* /usr/local/php5.6/lib/php/PEAR/Task/* /usr/local/php5.6/lib/php/PEAR/Task/Postinstallscript/* /usr/local/php5.6/lib/php/PEAR/Task/Replace/* /usr/local/php5.6/lib/php/PEAR/Task/Unixeol/* /usr/local/php5.6/lib/php/PEAR/Task/Windowseol/* /usr/local/php5.6/lib/php/PEAR/Validator/* /usr/local/php5.6/lib/php/data/* /usr/local/php5.6/lib/php/data/PEAR/* %config /usr/local/php5.6/etc/* /usr/local/php5.6/var/run/* /usr/local/php5.6/lib/* %dir /usr/local/php5.6/var/log/ %post cp /usr/local/php5.6/etc/php-fpm.conf.default /usr/local/php5.6/etc/php-fpm.conf ln -s /usr/local/php5.6/bin/php /usr/bin/php %changelog * Tue Aug 30 2016 Kevin<kevin_liao@163.com> 5.6.25 - first rpm from php-5.6.25 然后用一个user用户为centos,没在root下执行 $ rpmbuild -ba rpmbuild/SPECS/php.spec 最后报错 Build complete. Don't forget to run 'make test'. + exit 0 Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.QjJHDq + umask 022 + cd /home/centos/rpmbuild/BUILD + '[' /home/centos/rpmbuild/BUILDROOT/php-5.6.25-1.el7.centos.x86_64 '!=' / ']' + rm -rf /home/centos/rpmbuild/BUILDROOT/php-5.6.25-1.el7.centos.x86_64 ++ dirname /home/centos/rpmbuild/BUILDROOT/php-5.6.25-1.el7.centos.x86_64 + mkdir -p /home/centos/rpmbuild/BUILDROOT + mkdir /home/centos/rpmbuild/BUILDROOT/php-5.6.25-1.el7.centos.x86_64 + cd php-5.6.25 + rm -rf /home/centos/rpmbuild/BUILDROOT/php-5.6.25-1.el7.centos.x86_64 + make install DESTDIR=/home/centos/rpmbuild/BUILDROOT/php-5.6.25-1.el7.centos.x86_64 Installing shared extensions: /usr/local/php5.6/lib/php/extensions/no-debug-non-zts-20131226/ Installing PHP CLI binary: /usr/local/php5.6/bin/ Installing PHP CLI man page: /usr/local/php5.6/php/man/man1/ Installing PHP FPM binary: /usr/local/php5.6/sbin/ Installing PHP FPM config: /usr/local/php5.6/etc/ Installing PHP FPM man page: /usr/local/php5.6/php/man/man8/ Installing PHP FPM status page: /usr/local/php5.6/php/php/fpm/ Installing PHP CGI binary: /usr/local/php5.6/bin/ Installing PHP CGI man page: /usr/local/php5.6/php/man/man1/ Installing build environment: /usr/local/php5.6/lib/php/build/ Installing header files: /usr/local/php5.6/include/php/ Installing helper programs: /usr/local/php5.6/bin/ program: phpize program: php-config Installing man pages: /usr/local/php5.6/php/man/man1/ page: phpize.1 page: php-config.1 Installing PEAR environment: /usr/local/php5.6/lib/php/ [PEAR] Archive_Tar - already installed: 1.4.0 [PEAR] Console_Getopt - already installed: 1.4.1 [PEAR] Structures_Graph- already installed: 1.1.1 [PEAR] XML_Util - already installed: 1.3.0 [PEAR] PEAR - already installed: 1.10.1 Wrote PEAR system config file at: /usr/local/php5.6/etc/pear.conf You may want to add: /usr/local/php5.6/lib/php to your php.ini include_path /home/centos/rpmbuild/BUILD/php-5.6.25/build/shtool install -c ext/phar/phar.phar /usr/local/php5.6/bin ln -s -f phar.phar /usr/local/php5.6/bin/phar Installing PDO headers: /usr/local/php5.6/include/php/ext/pdo/ + /usr/lib/rpm/find-debuginfo.sh --strict-build-id -m --run-dwz --dwz-low-mem-die-limit 10000000 --dwz-max-die-limit 110000000 /home/centos/rpmbuild/BUILD/php-5.6.25 find: '/home/centos/rpmbuild/BUILDROOT/php-5.6.25-1.el7.centos.x86_64': No such file or directory error: Bad exit status from /var/tmp/rpm-tmp.QjJHDq (%install) RPM build errors: Bad exit status from /var/tmp/rpm-tmp.QjJHDq (%install)

在中国程序员是青春饭吗?

今年,我也32了 ,为了不给大家误导,咨询了猎头、圈内好友,以及年过35岁的几位老程序员……舍了老脸去揭人家伤疤……希望能给大家以帮助,记得帮我点赞哦。 目录: 你以为的人生 一次又一次的伤害 猎头界的真相 如何应对互联网行业的「中年危机」 一、你以为的人生 刚入行时,拿着傲人的工资,想着好好干,以为我们的人生是这样的: 等真到了那一天,你会发现,你的人生很可能是这样的: ...

技术大佬:我去,你写的 switch 语句也太老土了吧

昨天早上通过远程的方式 review 了两名新来同事的代码,大部分代码都写得很漂亮,严谨的同时注释也很到位,这令我非常满意。但当我看到他们当中有一个人写的 switch 语句时,还是忍不住破口大骂:“我擦,小王,你丫写的 switch 语句也太老土了吧!” 来看看小王写的代码吧,看完不要骂我装逼啊。 private static String createPlayer(PlayerTypes p...

华为初面+综合面试(Java技术面)附上面试题

华为面试整体流程大致分为笔试,性格测试,面试,综合面试,回学校等结果。笔试来说,华为的难度较中等,选择题难度和网易腾讯差不多。最后的代码题,相比下来就简单很多,一共3道题目,前2题很容易就AC,题目已经记不太清楚,不过难度确实不大。最后一题最后提交的代码过了75%的样例,一直没有发现剩下的25%可能存在什么坑。 笔试部分太久远,我就不怎么回忆了。直接将面试。 面试 如果说腾讯的面试是挥金如土...

和黑客斗争的 6 天!

互联网公司工作,很难避免不和黑客们打交道,我呆过的两家互联网公司,几乎每月每天每分钟都有黑客在公司网站上扫描。有的是寻找 Sql 注入的缺口,有的是寻找线上服务器可能存在的漏洞,大部分都...

讲一个程序员如何副业月赚三万的真实故事

loonggg读完需要3分钟速读仅需 1 分钟大家好,我是你们的校长。我之前讲过,这年头,只要肯动脑,肯行动,程序员凭借自己的技术,赚钱的方式还是有很多种的。仅仅靠在公司出卖自己的劳动时...

win10暴力查看wifi密码

刚才邻居打了个电话说:喂小灰,你家wifi的密码是多少,我怎么连不上了。 我。。。 我也忘了哎,就找到了一个好办法,分享给大家: 第一种情况:已经连接上的wifi,怎么知道密码? 打开:控制面板\网络和 Internet\网络连接 然后右击wifi连接的无线网卡,选择状态 然后像下图一样: 第二种情况:前提是我不知道啊,但是我以前知道密码。 此时可以利用dos命令了 1、利用netsh wlan...

上班一个月,后悔当初着急入职的选择了

最近有个老铁,告诉我说,上班一个月,后悔当初着急入职现在公司了。他之前在美图做手机研发,今年美图那边今年也有一波组织优化调整,他是其中一个,在协商离职后,当时捉急找工作上班,因为有房贷供着,不能没有收入来源。所以匆忙选了一家公司,实际上是一个大型外包公司,主要派遣给其他手机厂商做外包项目。**当时承诺待遇还不错,所以就立马入职去上班了。但是后面入职后,发现薪酬待遇这块并不是HR所说那样,那个HR自...

总结了 150 余个神奇网站,你不来瞅瞅吗?

原博客再更新,可能就没了,之后将持续更新本篇博客。

副业收入是我做程序媛的3倍,工作外的B面人生是怎样的?

提到“程序员”,多数人脑海里首先想到的大约是:为人木讷、薪水超高、工作枯燥…… 然而,当离开工作岗位,撕去层层标签,脱下“程序员”这身外套,有的人生动又有趣,马上展现出了完全不同的A/B面人生! 不论是简单的爱好,还是正经的副业,他们都干得同样出色。偶尔,还能和程序员的特质结合,产生奇妙的“化学反应”。 @Charlotte:平日素颜示人,周末美妆博主 大家都以为程序媛也个个不修边幅,但我们也许...

如果你是老板,你会不会踢了这样的员工?

有个好朋友ZS,是技术总监,昨天问我:“有一个老下属,跟了我很多年,做事勤勤恳恳,主动性也很好。但随着公司的发展,他的进步速度,跟不上团队的步伐了,有点...

我入职阿里后,才知道原来简历这么写

私下里,有不少读者问我:“二哥,如何才能写出一份专业的技术简历呢?我总感觉自己写的简历太烂了,所以投了无数份,都石沉大海了。”说实话,我自己好多年没有写过简历了,但我认识的一个同行,他在阿里,给我说了一些他当年写简历的方法论,我感觉太牛逼了,实在是忍不住,就分享了出来,希望能够帮助到你。 01、简历的本质 作为简历的撰写者,你必须要搞清楚一点,简历的本质是什么,它就是为了来销售你的价值主张的。往深...

带了6个月的徒弟当了面试官,而身为高级工程师的我天天修Bug......

即将毕业的应届毕业生一枚,现在只拿到了两家offer,但最近听到一些消息,其中一个offer,我这个组据说客户很少,很有可能整组被裁掉。 想问大家: 如果我刚入职这个组就被裁了怎么办呢? 大家都是什么时候知道自己要被裁了的? 面试软技能指导: BQ/Project/Resume 试听内容: 除了刷题,还有哪些技能是拿到offer不可或缺的要素 如何提升面试软实力:简历, 行为面试,沟通能...

!大部分程序员只会写3年代码

如果世界上都是这种不思进取的软件公司,那别说大部分程序员只会写 3 年代码,恐怕就没有程序员这种职业。

离职半年了,老东家又发 offer,回不回?

有小伙伴问松哥这个问题,他在上海某公司,在离职了几个月后,前公司的领导联系到他,希望他能够返聘回去,他很纠结要不要回去? 俗话说好马不吃回头草,但是这个小伙伴既然感到纠结了,我觉得至少说明了两个问题:1.曾经的公司还不错;2.现在的日子也不是很如意。否则应该就不会纠结了。 老实说,松哥之前也有过类似的经历,今天就来和小伙伴们聊聊回头草到底吃不吃。 首先一个基本观点,就是离职了也没必要和老东家弄的苦...

HTTP与HTTPS的区别

面试官问HTTP与HTTPS的区别,我这样回答让他竖起大拇指!

程序员毕业去大公司好还是小公司好?

虽然大公司并不是人人都能进,但我仍建议还未毕业的同学,尽力地通过校招向大公司挤,但凡挤进去,你这一生会容易很多。 大公司哪里好?没能进大公司怎么办?答案都在这里了,记得帮我点赞哦。 目录: 技术氛围 内部晋升与跳槽 啥也没学会,公司倒闭了? 不同的人脉圈,注定会有不同的结果 没能去大厂怎么办? 一、技术氛围 纵观整个程序员技术领域,哪个在行业有所名气的大牛,不是在大厂? 而且众所...

程序员为什么千万不要瞎努力?

本文作者用对比非常鲜明的两个开发团队的故事,讲解了敏捷开发之道 —— 如果你的团队缺乏统一标准的环境,那么即使勤劳努力,不仅会极其耗时而且成果甚微,使用...

为什么程序员做外包会被瞧不起?

二哥,有个事想询问下您的意见,您觉得应届生值得去外包吗?公司虽然挺大的,中xx,但待遇感觉挺低,马上要报到,挺纠结的。

当HR压你价,说你只值7K,你该怎么回答?

当HR压你价,说你只值7K时,你可以流畅地回答,记住,是流畅,不能犹豫。 礼貌地说:“7K是吗?了解了。嗯~其实我对贵司的面试官印象很好。只不过,现在我的手头上已经有一份11K的offer。来面试,主要也是自己对贵司挺有兴趣的,所以过来看看……”(未完) 这段话主要是陪HR互诈的同时,从公司兴趣,公司职员印象上,都给予对方正面的肯定,既能提升HR的好感度,又能让谈判气氛融洽,为后面的发挥留足空间。...

面试:第十六章:Java中级开发(16k)

HashMap底层实现原理,红黑树,B+树,B树的结构原理 Spring的AOP和IOC是什么?它们常见的使用场景有哪些?Spring事务,事务的属性,传播行为,数据库隔离级别 Spring和SpringMVC,MyBatis以及SpringBoot的注解分别有哪些?SpringMVC的工作原理,SpringBoot框架的优点,MyBatis框架的优点 SpringCould组件有哪些,他们...

面试阿里p7,被按在地上摩擦,鬼知道我经历了什么?

面试阿里p7被问到的问题(当时我只知道第一个):@Conditional是做什么的?@Conditional多个条件是什么逻辑关系?条件判断在什么时候执...

终于懂了TCP和UDP协议区别

终于懂了TCP和UDP协议区别

Python爬虫,高清美图我全都要(彼岸桌面壁纸)

爬取彼岸桌面网站较为简单,用到了requests、lxml、Beautiful Soup4

无代码时代来临,程序员如何保住饭碗?

编程语言层出不穷,从最初的机器语言到如今2500种以上的高级语言,程序员们大呼“学到头秃”。程序员一边面临编程语言不断推陈出新,一边面临由于许多代码已存在,程序员编写新应用程序时存在重复“搬砖”的现象。 无代码/低代码编程应运而生。无代码/低代码是一种创建应用的方法,它可以让开发者使用最少的编码知识来快速开发应用程序。开发者通过图形界面中,可视化建模来组装和配置应用程序。这样一来,开发者直...

面试了一个 31 岁程序员,让我有所触动,30岁以上的程序员该何去何从?

最近面试了一个31岁8年经验的程序猿,让我有点感慨,大龄程序猿该何去何从。

大三实习生,字节跳动面经分享,已拿Offer

说实话,自己的算法,我一个不会,太难了吧

程序员垃圾简历长什么样?

已经连续五年参加大厂校招、社招的技术面试工作,简历看的不下于万份 这篇文章会用实例告诉你,什么是差的程序员简历! 疫情快要结束了,各个公司也都开始春招了,作为即将红遍大江南北的新晋UP主,那当然要为小伙伴们做点事(手动狗头)。 就在公众号里公开征简历,义务帮大家看,并一一点评。《启舰:春招在即,义务帮大家看看简历吧》 一石激起千层浪,三天收到两百多封简历。 花光了两个星期的所有空闲时...

美团面试,问了ThreadLocal原理,这个回答让我通过了

他想都想不到,ThreadLocal我烂熟于心

大牛都会用的IDEA调试技巧!!!

导读 前天面试了一个985高校的实习生,问了他平时用什么开发工具,他想也没想的说IDEA,于是我抛砖引玉的问了一下IDEA的调试用过吧,你说说怎么设置断点...

面试官:你连SSO都不懂,就别来面试了

大厂竟然要考我SSO,卧槽。

立即提问
相关内容推荐